Setup Charger
curl --request POST \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/setup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phases": 123,
"max_current": 123,
"group": 123,
"net_type": "<string>",
"phase_rotation": "<string>"
}
'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/setup"
payload = {
"phases": 123,
"max_current": 123,
"group": 123,
"net_type": "<string>",
"phase_rotation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phases: 123,
max_current: 123,
group: 123,
net_type: '<string>',
phase_rotation: '<string>'
})
};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"setup_pending": true
}Chargers
Setup Charger
POST
/
v3
/
chargers
/
{charger}
/
setup
Setup Charger
Configures initial settings for a charger including phases, current limits, and other configuration. The charger will automatically restart after a successful setup. This endpoint is rate limited to 1 request per 60 seconds per charger.
The UUID of the charger to set up.
The number of phases. Must be
1 or 3.The maximum current in Amperes. Must be at least 6.
The location group ID to assign the charger to. Must reference an existing location group.
The electrical network type. One of
IT, TT, TN, or unknown.The phase rotation configuration. The length must match the number of phases. Valid values for 3 phases:
RST, RTS, SRT, STR, TRS, TSR. Valid values for 1 phase: R, S, T.Response
A success message indicating the charger will restart.
Whether the setup is still pending.
⌘I